Get Device Group Information

get

/rest/{versionId}/inventory/device-mgmt/device-groups/{groupId}

Use this (GET) method to retrieve information about a specific device group.

Request

Path Parameters
Back to Top

Response

200 Response

Device group information retrieved successfully.

400 Response

The user input is invalid.

401 Response

The user is not authorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get Device Group Information.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/device-groups/23"

The following example shows how to use Python to get Device Group Information.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/device-groups/23"
resp = requests.get(url, headers=headers)

Note:

Use the Get Existing Device Groups API to find the groupId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "fullName": "testGroup",
  "id": "23",
  "name": "testGroup",
  "parentGroupId": "ID0"
}
Back to Top